APIs / Google Trends / Interest

Google Trends: Interest

Interest from Google Trends as JSON. 1 credit per successful call.

GET /v1/google-trends/interest

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredUp to 550 characters
geostringOptionalUp to 10 characters
time_rangestringOptional1h, 4h, 1d, 7d, 30d, 90d, 1y, 5y, all
hlstringOptionalUp to 2 characters
search_typestringOptionalweb, images, news, youtube, shopping

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-trends/interest?q=tesla&geo=US&time_range=1y" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.